<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~retractionform.js" 
	styles="path.css,~../css/reggie-2.css,~retractionexport.css" 
	>
<style>

#retractionItemsTable
{
	width: 100%; 
	border-collapse: collapse;
}

#retractionItemsTable thead
{
	border-bottom-width: 1px;
	border-top-width: 1px;
}

#retractionItemsTable thead:first-child
{
	border-top-width: 0;
}

#retractionItemsTable td
{
	text-align: center;
	min-width: 4.5em;
}

#retractionItemsTable tbody td
{
	padding-top: 1px;
	padding-bottom: 1px;
}

#retractionItemsTable .italic
{
	font-style: italic;
}

.file-link
{
	margin-left: 0.5em;
}

.comment input
{
	width: 95%;
	min-width: 20em;
}

</style>

</base:head>
<base:body>

	<p:path><p:pathelement id="reggie-index"
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Mark extracts for retraction" 
		/></p:path>

	<div class="content">
	<form name="reggie" action="retraction_protocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
		<input type="hidden" name="ID" value="<%=ID%>">
		<input type="hidden" name="hiddenCaseName" value="">
		<input type="hidden" name="hiddenNumItemsToBeDestroyed" value="">

		<div class="step" id="step-1">
			<div class="step-no">1</div>
			<div class="step-title">Enter Case Name or Personal Number</div>
			<div class="step-content">

				<table class="step-form">
				<tr>
					<td class="prompt">Case name or personal number</td>
					<td class="input"><input type="text" name="caseName" id="caseName"
						class="required auto-init" data-auto-init="focus"
						style="width: 12em;" maxlength="12"></td>
					<td class="status" id="caseName.status"></td>
					<td class="help">
						<span id="caseName.message" class="message"></span>
						The 7-digit case (barcode) associated with the case, or personal number (YYYYMMDDZZZZ).
					</td>
				</tr>
				</table>

			</div>
		</div>

		<div class="step" id="step-2">
			<div class="step-no">2</div>
			<div class="step-title">Retraction form</div>
			<div class="step-content">

				<div id="retractTable"></div>
				<table class="step-form" id="functionmodifiers">
				<tr>
					<td class="prompt"></td>
					<td class="input" style="text-align: left; vertical-align: left;">
						<label>
							<input type="checkbox" name="forceResetWhenUnchecked" id="forceResetWhenUnchecked">
						Force reset when unchecked</label>
					</td>
					<td class="status" id="forceResetWhenUnchecked.status"></td>
					<td class="help">
						<span id="forceResetWhenUnchecked.message" class="message"></span>
						Reset annotation items for unchecked checkboxes.
					</td>
				</tr>
				<tr>
					<td class="prompt"></td>
					<td class="input" style="text-align: left; vertical-align: left;">
						<label id="newbiosourcetype.retract.label" class="disabled">
							<input type="radio" id="newbiosourcetype.retract" name="newbiosourcetype" value="Retract" disabled>
							Retract</label>
					</td>
					<td class="status" id="newbiosourcetype.retract.status"></td>
					<td class="help">
						<span id="newbiosourcetype.retract.message" class="message"></span>
						Retracted "Yes" consents.
					</td>
				</tr>
				<tr>
					<td class="prompt"></td>
					<td class="input" style="text-align: left; vertical-align: left;">
						<label id="newbiosourcetype.retrono.label" class="disabled">
							<input type="radio" id="newbiosourcetype.retrono" name="newbiosourcetype" value="RetroNo" disabled>
							RetroNo</label>
					</td>
					<td class="status" id="newbiosourcetype.retrono.status"></td>
					<td class="help">
						<span id="newbiosourcetype.retrono.message" class="message"></span>
						"No" or missing consents.
					</td>
				</tr>
				</table>
			</div>
		</div>

		<div id="wizard-status"></div>

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td><base:button id="gocreate" title="Create protocol" image="<%=home+"/images/import.png"%>" /></td>
			<td><base:button id="gopreview" title="Preview" image="<%=home+"/images/export.png"%>" /></td>
			<td><base:button id="goexport" title="Download" image="<%=home+"/images/download.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
		<div id="previewWrapper" style="display: none;">
			<div>
				<span id="previewTitle">Preview</span>
				<span id="previewWarning"></span>
			</div>
			<div id="previewList"></div>
		</div>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>